summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2016-11-07 11:50:28 -0800
committerZac Medico <zmedico@gentoo.org>2016-11-07 11:53:05 -0800
commit3bf7c5fba57b5b0dcbab3e16a43c23fbd23ae232 (patch)
treeb1d5aadc0e347df94aadc804e6e7e58a80fc4c8f
parentapp-admin/calamares: Remove 2.4.3 (diff)
downloadgentoo-3bf7c5fba57b5b0dcbab3e16a43c23fbd23ae232.tar.gz
gentoo-3bf7c5fba57b5b0dcbab3e16a43c23fbd23ae232.tar.bz2
gentoo-3bf7c5fba57b5b0dcbab3e16a43c23fbd23ae232.zip
dev-python/pytest-html: add package
Package-Manager: portage-2.3.2
-rw-r--r--dev-python/pytest-html/Manifest1
-rw-r--r--dev-python/pytest-html/metadata.xml11
-rw-r--r--dev-python/pytest-html/pytest-html-1.10.1.ebuild28
3 files changed, 40 insertions, 0 deletions
diff --git a/dev-python/pytest-html/Manifest b/dev-python/pytest-html/Manifest
new file mode 100644
index 00000000000..b25ebcca9a9
--- /dev/null
+++ b/dev-python/pytest-html/Manifest
@@ -0,0 +1 @@
+DIST pytest-html-1.10.1.tar.gz 15380 SHA256 f6fc1ccefe94fb17ba289ee385bebaeccfd44cf4f05eef9116572cae699af6d6 SHA512 56d49fcb293adcf1424b0dfd3f64b62da560b744594007028c02e4bd722f92201709a089afb4283e6b711ae616eebd0bd4da204f4b974e4a4fc38bc7ab11d077 WHIRLPOOL ff2023e5dad07aa790c3b08f5e0ba497d45e7c916de4475d42c07e734650c7f0e88a004a1012092f8fddd75cbcb4cb272f87c502d903ec77c8b0a740d6984ea2
diff --git a/dev-python/pytest-html/metadata.xml b/dev-python/pytest-html/metadata.xml
new file mode 100644
index 00000000000..20841660910
--- /dev/null
+++ b/dev-python/pytest-html/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <upstream>
+ <remote-id type="pypi">pytest-html</remote-id>
+ <remote-id type="github">pytest-dev/pytest-html</remote-id>
+ </upstream>
+ <maintainer type="person">
+ <email>zmedico@gentoo.org</email>
+ </maintainer>
+</pkgmetadata>
diff --git a/dev-python/pytest-html/pytest-html-1.10.1.ebuild b/dev-python/pytest-html/pytest-html-1.10.1.ebuild
new file mode 100644
index 00000000000..10199b10ec1
--- /dev/null
+++ b/dev-python/pytest-html/pytest-html-1.10.1.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=6
+PYTHON_COMPAT=( python{2_7,3_{4,5}} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Plugin for generating HTML reports for py.test results"
+HOMEPAGE="https://github.com/pytest-dev/pytest-html/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+# Lots of test failures...
+RESTRICT="test"
+RDEPEND="dev-python/pytest[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]"
+
+python_test() {
+ PYTHONPATH=${PWD}${PYTHONPATH:+:}${PYTHONPATH} \
+ py.test test_pytest_html.py || die
+}